debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: python 3.7  (Прочитано 1039 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн StepanKirdin

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 14
python 3.7
« : 11 Июль 2018, 16:33:41 »
поставил python3.7 с офф сайта.
ну, python3 -V пишет версию 3.7.0. до этого ошибки make1122 были но я всё исправил и норм встало.
значит он установился? Но почему я не могу вообще нигде на компе его найти? python 2 и 3.5 есть, ими можно открывать файлы, но в поиске приложений их нет, а вот 3,7 вообще нигде нет, абсолютно...

установил потом PyCharm. EAP последнюю (бета-версии бесплатны вроде как даже pro). И мне теперь постоянно запускать его через pycharm.sh?
А как у людей красивые иконки python'a на рабочем столе? Это что?
И почему сам pycharm всё ещё использует 3.5?

debian 9.4 стабильная xfce у меня
« Последнее редактирование: 14 Июль 2018, 13:27:23 от StepanKirdin »
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 2785
  • Linux Registered User #547151
Re: python 3.7
« Ответ #1 : 16 Июль 2018, 04:03:49 »
если ещё актуально:
which python3

Оффлайн StepanKirdin

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 14
Re: python 3.7
« Ответ #2 : 17 Июль 2018, 10:12:34 »
если ещё актуально:
which python3
уже сам все решил) спасибо. И осознал что 3.7 пока что рано, на 3.6.6 лучше.
 

Оффлайн Olej

  • Местный житель
  • ***
  • Сообщений: 405
Re: python 3.7
« Ответ #3 : 15 Январь 2019, 11:42:11 »
И осознал что 3.7 пока что рано, на 3.6.6 лучше.
Не рано, а в самый раз  ;D
olej@ACER:~$ python3 --version
Python 3.7.2
И это:
- установлено не ручными сборками, а из репозиториев...
- и используется (не 1-й месяц) в реальных проектах (на зарубежного заказчика) в области компьютерного зрения, OpenCV, Dlib, OpenFace и т.д.
- без каких-либо проблем...

P.S. Для свежей реализации OpenCV v.4 (совсем недавно) настаивают и просят Python >3.7 ... так что не нужно застревать на старых версиях, потому что они "казалось бы ОК".
 

Русскоязычное сообщество Debian GNU/Linux

Re: python 3.7
« Ответ #3 : 15 Январь 2019, 11:42:11 »


Теги:
 

Интерпретатор Python

Автор Vitek

Ответов: 2
Просмотров: 1572
Последний ответ 21 Ноябрь 2012, 06:38:19
от Malaheenee
python 3.6.4 pip Can\'t connect to HTTPS URL because the SSL module is not availa

Автор moreplavatel

Ответов: 0
Просмотров: 1287
Последний ответ 18 Март 2018, 12:09:26
от moreplavatel
Помогите разобраться с Python скриптом

Автор studio2

Ответов: 16
Просмотров: 2142
Последний ответ 29 Январь 2016, 19:00:35
от vic5710
[Решено] Python не обновляется до 3+ версии

Автор Fieryx

Ответов: 6
Просмотров: 1462
Последний ответ 09 Октябрь 2013, 00:38:33
от Olej
Установка python 3.5.1

Автор Joe Black

Ответов: 7
Просмотров: 1236
Последний ответ 16 Февраль 2017, 16:12:21
от alsoijw